UberCompileTask (Groovy 2.4.5)
Date: 2015-09-17

org.codehaus.groovy.ant

## Class UberCompileTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.codehaus.groovy.ant.UberCompileTask

- All Implemented Interfaces:
    Cloneable

      public class UberCompileTask
      extends org.apache.tools.ant.Task

  Compiles Java and Groovy source files. This works by invoking the `GenerateStubsTask` task, then the `Javac` task and then the `GroovycTask`. Each task can be configured by creating a nested element. Common configuration such as the source dir and classpath is picked up from this tasks configuration.
  Author:
    Jason Dillon

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UberCompileTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tools.ant.types.Path` | `createClasspath()`
    `org.codehaus.groovy.ant.UberCompileTask.GenStubsAdapter` | `createGeneratestubs()`
    `org.codehaus.groovy.ant.UberCompileTask.GroovycAdapter` | `createGroovyc()`
    `org.codehaus.groovy.ant.UberCompileTask.JavacAdapter` | `createJavac()`
    `org.apache.tools.ant.types.Path` | `createSrc()`
    `void` | `execute()`
    `org.apache.tools.ant.types.Path` | `getClasspath()`
    `org.apache.tools.ant.types.Path` | `getSrcdir()`
    `void` | `setClasspath(org.apache.tools.ant.types.Path path)`
    `void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)`
    `void` | `setDestdir(File dir)`
    `void` | `setSrcdir(org.apache.tools.ant.types.Path dir)`
    `protected void` | `validate()`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UberCompileTask

          public UberCompileTask()

  - ### Method Detail

    - #### createSrc

          public org.apache.tools.ant.types.Path createSrc()

    - #### setSrcdir

          public void setSrcdir(org.apache.tools.ant.types.Path dir)

    - #### getSrcdir

          public org.apache.tools.ant.types.Path getSrcdir()

    - #### setDestdir

          public void setDestdir(File dir)

    - #### setClasspath

          public void setClasspath(org.apache.tools.ant.types.Path path)

    - #### getClasspath

          public org.apache.tools.ant.types.Path getClasspath()

    - #### createClasspath

          public org.apache.tools.ant.types.Path createClasspath()

    - #### setClasspathRef

          public void setClasspathRef(org.apache.tools.ant.types.Reference r)

    - #### createGeneratestubs

          public org.codehaus.groovy.ant.UberCompileTask.GenStubsAdapter createGeneratestubs()

    - #### createGroovyc

          public org.codehaus.groovy.ant.UberCompileTask.GroovycAdapter createGroovyc()

    - #### createJavac

          public org.codehaus.groovy.ant.UberCompileTask.JavacAdapter createJavac()

    - #### validate

          protected void validate()
                           throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`